<?xml version='1.0'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<!-- {{ ansible_managed }} -->
<fontconfig>
	<match target="font">     
		<edit mode="assign" name="antialias">
			<bool>{{ font_antialias }}</bool>
		</edit>
		<edit mode="assign" name="hinting">
			<bool>{{ font_hinting }}</bool>
		</edit>
        {% if font_hinting %}
		<edit mode="assign" name="hintstyle">
			<const>hint{{ font_hinting_style }}</const>
		</edit>
        {% endif %}
		<edit mode="assign" name="lcdfilter">
			<const>lcd{{ font_lcdfilter }}</const>
		</edit>
		<edit mode="assign" name="rgba">
			<const>{{ font_pixel_alignment }}</const>
		</edit>
        
	</match>
    {% if font_antialias_big_fonts and not font_antialias %}
      <match target="font" >
        <test name="size" qual="any" compare="more">
          <double>12</double>
        </test>
        <edit name="antialias" mode="assign">
          <bool>true</bool>
        </edit>
      </match>
      
      <match target="font" >
        <test name="pixelsize" qual="any" compare="more">
          <double>16</double>
        </test>
        <edit name="antialias" mode="assign">
          <bool>true</bool>
        </edit>
      </match>
  {% endif %}
  {% for mapping in font_mappings %}
    <match target="pattern">
      <test qual="any" name="family"><string>{{ mapping.src }}</string></test>
      <edit name="family" mode="assign" binding="same"><string>{{ mapping.dest }}</string></edit>
    </match>
  {% endfor %}
</fontconfig>
